Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.html
Class FrameSet

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Composite
              org.mortbay.html.Page
                  org.mortbay.html.FrameSet

    public class FrameSet

extends Page

FrameSet.

Usage

          FrameSet set = new FrameSet("FrameTest","*,*","*,*");
          set.frame(0,0).name("Frame1",req.getRequestPath()+"?Frame=1");
          set.frame(0,1).name("Frame2",req.getRequestPath()+"?Frame=2");
          set.frame(1,0).name("Frame3",req.getRequestPath()+"?Frame=3");
          set.frame(1,1).name("Frame4",req.getRequestPath()+"?Frame=4");
          set.write(new Writer(res.getOutputStream()));

Version:
  $Id: FrameSet.java,v 1.4 2004/11/20 13:32:33 gregwilkins Exp $
Author:
  Greg Wilkins

Field Summary

Fields inherited from class org.mortbay.html.Page
`Back, BaseUrl, BgColour, Content, ContentSize, FgColour, Footer, FooterSize, Header, HeaderSize, Heading, Help, HighlightColour, Home, LeftMargin, LeftMarginSize, Margin, MarginSize, Next, NoTitle, PageType, Prev, properties, Request, Response, RightMargin, RightMarginSize, Section, Target, Title, Up`

Fields inherited from class org.mortbay.html.Composite
`elements, nest`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`FrameSet(String title, String colSpec, String rowSpec)` FrameSet constructor.

Method Summary
`FrameSet` | `border(boolean threeD, int width, String color)`
`Frame` | `frame(int col, int row)`
`Frame` | `frame(String name)`
`Enumeration` | `namedFrames()`
`Frame` | `nameFrame(String name, int col, int row)` Name a frame.
`void` | `write(Writer out)` Write the entire page by calling: writeHtmlHead(out) writeBodyTag(out) writeElements(out) writeHtmlEnd(out)

Methods inherited from class org.mortbay.html.Page
`addHeader, addSection, addTo, completeSections, flush, frameSet, getSection, properties, rewind, setBackGroundColor, setBackGroundImage, setBase, setSection, title, write, writeBodyTag, writeElements, writeHtmlEnd, writeHtmlHead`

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameSet

    public FrameSet(String title,
                    String colSpec,
                    String rowSpec)

  FrameSet constructor.

  Parameters:
    `colSpec` - Comma separated list of column widths specified as pixels, percentage or '*' for variable

Method Detail

### frame

    public Frame frame(int col,
                       int row)

### border

    public FrameSet border(boolean threeD,
                           int width,
                           String color)

### namedFrames

    public Enumeration namedFrames()

### frame

    public Frame frame(String name)

### nameFrame

    public Frame nameFrame(String name,
                           int col,
                           int row)

  Name a frame. By convention, frame names match Page section names

### write

    public void write(Writer out)
               throws IOException

  Description copied from class: `Page`
  Write the entire page by calling:
  writeHtmlHead(out)
  writeBodyTag(out)
  writeElements(out)
  writeHtmlEnd(out)

  Overrides:
    `write` in class `Page`
  Parameters:
    `out` - Writer to write the element to.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.